Loading...
Searching...
No Matches
BALL::ClearRadiusProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/defaultProcessors.h>`

Inheritance diagram for BALL::ClearRadiusProcessor:

## Public Member Functions

virtual Processor::Result | operator() (Atom &atom)
| Sets the radius to zero..
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Clears the radius of all atoms

Definition at line 46 of file defaultProcessors.h.

## Member Function Documentation

## operator()()

virtual Processor::Result BALL::ClearRadiusProcessor::operator() | ( | Atom & | atom | ) |

virtual

Sets the radius to zero..

Reimplemented from BALL::UnaryProcessor< Atom >.